Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel.repository
Class AssemblyComponentOperationPairFactory

    java.lang.Object
      kieker.tools.traceAnalysis.systemModel.repository.AbstractSystemSubRepository
          kieker.tools.traceAnalysis.systemModel.repository.AssemblyComponentOperationPairFactory

    public class AssemblyComponentOperationPairFactory

extends AbstractSystemSubRepository

Since:
  1.1
Author:
  Andre van Hoorn

Field Summary
`static AssemblyComponentOperationPair` | `ROOT_PAIR`

Fields inherited from class kieker.tools.traceAnalysis.systemModel.repository.AbstractSystemSubRepository
`ROOT_ELEMENT_ID`

Constructor Summary
`AssemblyComponentOperationPairFactory(SystemModelRepository systemFactory)` Creates a new instance of this class using the given parameters.

Method Summary
`AssemblyComponentOperationPair` | `getPairById(int id)`
`AssemblyComponentOperationPair` | `getPairInstanceByPair(AssemblyComponent assemblyComponent, Operation operation)` Returns a corresponding pair instance (existing or newly created).
`Collection<AssemblyComponentOperationPair>` | `getPairs()`
`AssemblyComponentOperationPair` | `getRootPair()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT_PAIR

    public static final AssemblyComponentOperationPair ROOT_PAIR

Constructor Detail

### AssemblyComponentOperationPairFactory

    public AssemblyComponentOperationPairFactory(SystemModelRepository systemFactory)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `systemFactory` - The system factory.

Method Detail

### getPairInstanceByPair

    public final AssemblyComponentOperationPair getPairInstanceByPair(AssemblyComponent assemblyComponent,
                                                                      Operation operation)

  Returns a corresponding pair instance (existing or newly created).

  Parameters:
    `assemblyComponent` - The assemble component for the pair.
    `operation` - The operation for the pair.
  Returns:
    The corresponding pair instance if it exists, otherwise a new one.

### getPairById

    public final AssemblyComponentOperationPair getPairById(int id)

  Parameters:
    `id` - The ID of the instance in question.
  Returns:
    The instance for the passed ID; null if no instance with this ID is available.

### getPairs

    public final Collection<AssemblyComponentOperationPair> getPairs()

### getRootPair

    public AssemblyComponentOperationPair getRootPair()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net